ELResolverImpl (Tomcat API Documentation)
Keywords: org.apache.jasper.el.ELResolverImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.el
Class ELResolverImpl

    java.lang.Object
      javax.el.ELResolver
          org.apache.jasper.el.ELResolverImpl

    public final class ELResolverImpl

extends javax.el.ELResolver

Field Summary
`static javax.el.ELResolver` | `DefaultResolver`

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`ELResolverImpl(javax.servlet.jsp.el.VariableResolver variableResolver)`

Method Summary
`java.lang.Class<?>` | `getCommonPropertyType(javax.el.ELContext context, java.lang.Object base)`
`java.util.Iterator<java.beans.FeatureDescriptor>` | `getFeatureDescriptors(javax.el.ELContext context, java.lang.Object base)`
`java.lang.Class<?>` | `getType(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` | `getValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`boolean` | `isReadOnly(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`void` | `setValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DefaultResolver

    public static final javax.el.ELResolver DefaultResolver

Constructor Detail

### ELResolverImpl

    public ELResolverImpl(javax.servlet.jsp.el.VariableResolver variableResolver)

Method Detail

### getValue

    public java.lang.Object getValue(javax.el.ELContext context,
                                     java.lang.Object base,
                                     java.lang.Object property)
                              throws java.lang.NullPointerException,
                                     javax.el.PropertyNotFoundException,
                                     javax.el.ELException

  Specified by:
    `getValue` in class `javax.el.ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.ELException`

### getType

    public java.lang.Class<?> getType(javax.el.ELContext context,
                                      java.lang.Object base,
                                      java.lang.Object property)
                               throws java.lang.NullPointerException,
                                      javax.el.PropertyNotFoundException,
                                      javax.el.ELException

  Specified by:
    `getType` in class `javax.el.ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.ELException`

### setValue

    public void setValue(javax.el.ELContext context,
                         java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)
                  throws java.lang.NullPointerException,
                         javax.el.PropertyNotFoundException,
                         javax.el.PropertyNotWritableException,
                         javax.el.ELException

  Specified by:
    `setValue` in class `javax.el.ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.PropertyNotWritableException`
    `javax.el.ELException`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context,
                              java.lang.Object base,
                              java.lang.Object property)
                       throws java.lang.NullPointerException,
                              javax.el.PropertyNotFoundException,
                              javax.el.ELException

  Specified by:
    `isReadOnly` in class `javax.el.ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.ELException`

### getFeatureDescriptors

    public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context,
                                                                                  java.lang.Object base)

  Specified by:
    `getFeatureDescriptors` in class `javax.el.ELResolver`

### getCommonPropertyType

    public java.lang.Class<?> getCommonPropertyType(javax.el.ELContext context,
                                                    java.lang.Object base)

  Specified by:
    `getCommonPropertyType` in class `javax.el.ELResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.